<mat-card *ngIf="claim">
  <mat-card-header>
    <mat-card-title>{{ claim.title}}</mat-card-title>
    <mat-card-subtitle>
      <div>
        <span class="subtitle-item">
          <mat-icon class="icon">person_outline</mat-icon>
          {{ claim.reporter }}
        </span>

        <span class="subtitle-item">
          <mat-icon class="icon">{{ claim.status.icon }}</mat-icon>
          {{ claim.status.text }}
        </span>

        <span class="subtitle-item">
          <mat-icon class="icon">location_on</mat-icon>
          {{ claim.location.text }}
        </span>

        <span class="subtitle-item">
          <mat-icon class="icon">{{ claim.contactSource.icon }}</mat-icon>
          {{ claim.contactSource.name }}
        </span>

        <span *ngIf="claim.claimNumber" class="subtitle-item">
          #
          {{ claim.claimNumber }}
        </span>
      </div>


    </mat-card-subtitle>

    <div
        class="container"
        fxLayout="row"
        fxLayoutAlign="center">
    </div>
  </mat-card-header>

  <mat-card-content>
    <p>
      {{ claim.description }}
    </p>
  </mat-card-content>

  <mat-card-actions align="end">
    <button mat-raised-button color="primary">Pridať komentár</button>
  </mat-card-actions>
</mat-card>

<mat-accordion>
  <mat-expansion-panel
      (opened)="panelOpenState = true"
      (closed)="panelOpenState = false">
    <mat-expansion-panel-header>
      <mat-panel-title>
        Komentáre: 0
      </mat-panel-title>
    </mat-expansion-panel-header>
  </mat-expansion-panel>
</mat-accordion>
